// out: angular-toggle-switch.css

// Opacity
.opacity-bs3(@opacity) {
  opacity: @opacity;
  // IE8 filter
  @opacity-ie: (@opacity * 100);
  filter: ~"alpha(opacity=@{opacity-ie})";
}

.ats-switch {
    /*border: 1px solid;*/
    cursor: pointer;
    display: inline-block;
    text-align: left;
    overflow: hidden;
    outline:none;
    line-height: 8px;
    min-width: 55px;
    border-radius: 1em;
    height:20px;
    width:55px;

    &.disabled {
        .opacity-bs3(.5);
        cursor: default !important;

        .switch-left,
        .switch-right,
        .knob {
            cursor: default !important;
            font-size:.8em;
            font-weight:600;
        }
    }

    span {
        cursor: pointer;
        display: inline-block;
        float: left;
        height: 100%;
        line-height: 20px;
        /*padding: 4px;*/
        text-align: center;
        /*width: 33%;*/
        white-space: nowrap;

        box-sizing: border-box;
        -o-box-sizing: border-box;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
    }

    > div {
        position: relative;
        /*width: 150%;*/
        width:110px;
        text-indent: 1em!important;
    }

    .knob {
        background: #edecec;
        border-left: 1px solid #ccc;
        border-right: 1px solid #ccc;
        background-color: #f5f5f5;
        width: 20px;
        height:20px;
        z-index: 100;
        border:.15em solid #61bbc9;
        border-radius:1em;
        margin-left:-10px;
        position: relative;
    }

    .switch-on {
        left: 0%;
    }

    .switch-off {
        left: -63%
    }

    .swtich-left,
    .switch-right {
        z-index: 1;
    }

    .switch-left {
        color: #fff;
        background: #61bbc9;
        text-transform: uppercase;
        height: 20px;
        width: 45px;
        line-height: 20px;
        font-size: .8em;
        font-weight: 600;
        text-indent: -10px;
    }

    .switch-right {
        color: #333;
        background: #EDECEC;
        text-transform: uppercase;
        height: 20px;
        width: 45px;
        line-height: 20px;
        font-size: .8em;
        font-weight: 600;
        text-indent: 10px;
        margin-left: -10px;
    }

    .switch-animate {
        transition: left 0.5s;
        -o-transition: left 0.5s;
        -moz-transition: left 0.5s;
        -webkit-transition: left 0.5s;
    }
}
